@echo off
@echo                            Checking system files...
rem ====================================================================================


rem   Alien97 Screen Saver Install 
rem   Alien97 release v1.0 (C)1997 by Tony Varnas 


:start
rem SET DEFAULT PATH VARIABLES

set root=C:
set windows=WINDOWS
goto welcome


rem ====================================================================================
rem WELCOME SCREEN
:welcome
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo.
echo                                     WELCOME
echo.
echo                         This batch file will copy your 
echo                     StarFlight Alien97 Edition screen saver
echo                    into the proper Windows/system directory.
echo.
echo.
echo                 * * *  You may uninstall the screen saver  * * *
echo                          by RE-running this batch file.
echo.
echo.
echo                            (Hit any key to continue)
pause > nul

rem ====================================================================================
:2audit
rem  ERROR CHECKER #1:
rem  Checks to see if assumed windows system (C:\WINDOWS\SYSTEM) folder location
rem  is correct; this is done by checking to see if control panel "main.cpl" file exists
rem  If not, we've got a problem.

if exist %root%\%WINDOWS%\SYSTEM\Starfl~1.scr goto uninstall
if not exist %root%\%windows%\system\main.cpl goto 2problem

goto 3audit

rem ====================================================================================
:2problem
rem  2PROBLEM: Can't find the Windows system folder using the "main.cpl" marker;
rem  this is either missing, or the "windows/system" directory is elsewhere
cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo            ERROR: Can't find your windows destination folder at:
echo.
echo                                 %root%\%windows%\SYSTEM
echo.
echo.
echo    -------------------------------------------------------------------------
echo.
echo             1. Enter the DRIVE LETTER of your Windows directory
choice /c:abcdefghijklmnopqrstuvwxyz /n                               Letter Choice: 

if errorlevel 26 goto 2Z_choice
if errorlevel 25 goto 2Y_choice
if errorlevel 24 goto 2X_choice
if errorlevel 23 goto 2W_choice
if errorlevel 22 goto 2V_choice
if errorlevel 21 goto 2U_choice
if errorlevel 20 goto 2T_choice
if errorlevel 19 goto 2S_choice
if errorlevel 18 goto 2R_choice
if errorlevel 17 goto 2Q_choice
if errorlevel 16 goto 2P_choice
if errorlevel 15 goto 2O_choice
if errorlevel 14 goto 2N_choice
if errorlevel 13 goto 2M_choice
if errorlevel 12 goto 2L_choice
if errorlevel 11 goto 2K_choice
if errorlevel 10 goto 2J_choice
if errorlevel 9  goto 2I_choice
if errorlevel 8  goto 2H_choice
if errorlevel 7  goto 2G_choice
if errorlevel 6  goto 2F_choice
if errorlevel 5  goto 2E_choice
if errorlevel 4  goto 2D_choice
if errorlevel 3  goto 2C_choice
if errorlevel 2  goto 2B_choice
if errorlevel 1  goto 2A_choice



:2Z_choice
set root=Z:
goto 2confirm

:2Y_choice
set root=Y:
goto 2confirm

:2X_choice
set root=X:
goto 2confirm

:2W_choice
set root=W:
goto 2confirm

:2V_choice
set root=V:
goto 2confirm

:2U_choice
set root=U:
goto 2confirm

:2T_choice
set root=T:
goto 2confirm

:2S_choice
set root=S:
goto 2confirm

:2R_choice
set root=R:
goto 2confirm

:2Q_choice
set root=Q:
goto 2confirm

:2P_choice
set root=P:
goto 2confirm

:2O_choice
set root=O:
goto 2confirm

:2N_choice
set root=N:
goto 2confirm

:2M_choice
set root=M:
goto 2confirm

:2L_choice
set root=L:
goto 2confirm

:2K_choice
set root=K:
goto 2confirm

:2J_choice
set root=J:
goto 2confirm

:2I_choice
set root=I:
goto 2confirm

:2H_choice
set root=H:
goto 2confirm

:2G_choice
set root=G:
goto 2confirm

:2F_choice
set root=F:
goto 2confirm

:2E_choice
set root=E:
goto 2confirm

:2D_choice
set root=D:
goto 2confirm

:2C_choice
set root=C:
goto 2confirm

:2B_choice
set root=B:
goto 2confirm

:2A_choice
set root=A:
goto 2confirm


:2confirm
echo    -------------------------------------------------------------------------
echo     2. Enter the LETTER corresponding to the NAME of your Windows directory
echo     A)WINDOWS   B)WIN   C)WIN95   D)WIN4   E)WINDOWS95   F)WINNT   G)OTHER
echo.
choice /c:abcdefg /n                            Letter Choice [A-G]: 


if errorlevel 7 goto 3G_choice
if errorlevel 6 goto 3F_choice
if errorlevel 5 goto 3E_choice
if errorlevel 4 goto 3D_choice
if errorlevel 3 goto 3C_choice
if errorlevel 2 goto 3B_choice
if errorlevel 1 goto 3A_choice



:3G_choice
goto 1nogo

:3F_choice
set windows=WINNT
goto 3confirm

:3E_choice
set windows=WINDOW~1
goto 3confirm

:3D_choice
set windows=WIN4
goto 3confirm

:3C_choice
set windows=WIN95
goto 3confirm

:3B_choice
set windows=WIN
goto 3confirm

:3A_choice
set windows=WINDOWS
goto 3confirm

:3confirm
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo                   Is your Windows system directory located at
echo.
echo                                 %root%\%windows%\SYSTEM ?
echo.
choice /c:ynq /n                                [Yes, No, Quit]: 

if errorlevel 3 goto 2quit_choice
if errorlevel 2 goto 2no_choice
if errorlevel 1 goto 2yes_choice

:2quit_choice
cls
goto 1nogo

:2no_choice
cls
goto 2audit

:2yes_choice
goto 2audit


rem ====================================================================================
:3audit
rem  ERROR CHECKER #3:
rem  Checks to see if the screen saver is already installed at the 
rem  Windows system folder; if yes, aborts.  Also checks to see if
rem  the Alien97 screen saver is located in the local folder.
cls
@echo                           Looking for Alien97 files...

@if exist %root%\%WINDOWS%\SYSTEM\Starfl~1.scr goto unistall
@if not exist %root%Alien9~1.scr goto 2nogo
@if not exist %root%Alien9~1.ini goto 2nogo

goto install

rem ====================================================================================
:install


cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo                   Your StarFlight Alien97 Edition screen saver
echo                           is *NOT* currently installed.
echo.
echo.
echo              Do you want to install your screen saver at this time?
echo.
choice /c:ynq /n                                   [Yes, No]: 

if errorlevel 2 goto no_choice
if errorlevel 1 goto yes_choice

rem ====================================================================================

:no_choice

cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo.
echo.
echo.
echo                 You may install your StarFlight Alien97 Edition
echo                        screen saver at some other time.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end


rem ====================================================================================

:yes_choice
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo             Installing your StarFlight Alien97 Edition screen saver
echo.
echo                           Please wait a few seconds...
echo.
@echo off

rem ====================================================================================

rem  Copy Alien97 Screen Saver to system location

@copy %root%Alien9~1.scr %root%\%windows%\system\StarFlight''Alien97-Edition''.scr /y > nul
@copy %root%Alien9~1.ini %root%\%windows%\StarFlight.ini /y > nul
goto OK_install

rem ====================================================================================
:OK_install
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo.
echo                  Your StarFlight Alien97 Edition screen saver
echo                        has been successfully installed.
echo.
echo.
echo                      To activate this screen saver, choose  
echo                  the "StarFlight Alien97 Edition" option in the
echo                  Screen Saver menu of your *Display Properties*
echo.
echo.
echo.        To UN-install this screen saver, simply RE-run this batch file.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================
rem ERROR SPLASH SCREENS

:1nogo
cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo                ERROR: Can't find your Windows system folder at
echo.
echo                                %root%\%windows%\SYSTEM\
echo.
echo.
echo.
echo                            ABORTING FILE TRANSFER...
echo.
echo.
echo.
echo.
echo           Please recheck the location of your Windows system folder.
echo                                  and try again.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end


rem ====================================================================================
:2nogo
cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                              Screen Saver Install        
echo                     ͼ
echo.
echo              ERROR: Can't find one or both of the following files 
echo                           in the installation folder:
echo.
echo              Alien97 Screen Saver.scr (screen saver program file)
echo              Alien97 Screen Saver Config.ini (configuration file)
echo.
echo.
echo                             ABORTING FILE TRANSFER...
echo.
echo       Please make sure all Alien97 theme files are kept within the same
echo       folder, and that this batch file is being run only from within its
echo       installation folder.  For additional help, please consult the 
echo       "Alien97 Troubleshooting.txt" document. 
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================
:uninstall

cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                             Screen Saver Uninstall       
echo                     ͼ
echo.
echo.
echo                   Your StarFlight Alien97 Edition screen saver
echo                             is currently installed.
echo.
echo.
echo            Do you want to UN-install your screen saver at this time?
echo.
choice /c:yn /n                                   [Yes, No]: 

if errorlevel 2 goto 3no_choice
if errorlevel 1 goto 3yes_choice

rem ====================================================================================

:3no_choice

cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                             Screen Saver Uninstall       
echo                     ͼ
echo.
echo.
echo.
echo.
echo.
echo                You may UN-install your StarFlight Alien97 Edition
echo                         screen saver at some other time.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end




rem ====================================================================================
:3yes_choice
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                             Screen Saver Uninstall       
echo                     ͼ
echo.
echo.
echo            Uninstalling your StarFlight Alien97 Edition screen saver
echo.
echo                           Please wait a few seconds...
echo.
@echo off

rem ====================================================================================

rem  Delete StarFlight Screen Saver from Windows location

@del %root%\%windows%\system\StarFl~1.scr > nul
@del %root%\%windows%\StarFlight.ini > nul
goto OK_uninstall

rem ====================================================================================
:OK_uninstall
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                             Screen Saver Uninstall       
echo                     ͼ
echo.
echo.
echo                  Your StarFlight Alien97 Edition screen saver
echo                        has been successfully uninstalled.
echo.
echo.
echo.
echo         To reinstall the screen saver, simply run this batch file again
echo            and choose the "StarFlight Alien97 Edition" option in the 
echo             Screen Saver menu of your system's *Display Properties*
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

:end
